package org.academiadecodigo.bootcamp11.hotel;

/**
 * MIT License
 * (c) 2017 Ricardo Constantino
 */
public class Room {
    private boolean occupied;
    private String name;
    private int price;

    public Room(boolean occupied, int roomNumber) {
        this.occupied = occupied;
        this.name = "Room " + roomNumber;
        this.price = 0;
    }

    public Room(boolean occupied, int roomNumber, int price) {
        this.occupied = occupied;
        this.name = "Room " + roomNumber;
        this.price = price;
    }

    public String getName() {
        return this.name;
    }

    public double getPriceInEur() {
        return this.price / 100.0;
    }

    public void setOccupied() {
        this.occupied = true;
    }

    public void setFree() {
        this.occupied = false;
    }

    public boolean isOccupied() {
        return this.occupied;
    }
}
